# Interface MMSIInfo

interface MMSIInfo {
mid: number;
msi: number;
flagCountry?: FlagCountry;
type?: MMSISourceType;
}

- Defined in mmsi/mmsi.ts:18

##### Index

### Properties

mid
msi
flagCountry?
type?

## Properties

### mid

mid: number

Maritime identifier

- Defined in mmsi/mmsi.ts:20

### msi

msi: number

Mobile station identifier

- Defined in mmsi/mmsi.ts:22

### `Optional` flagCountry

flagCountry?: FlagCountry

Two character country code

- Defined in mmsi/mmsi.ts:26

### `Optional` type

type?: MMSISourceType

Source type

- Defined in mmsi/mmsi.ts:24